<?php



// This file is part of Moodle - http://moodle.org/

//

// Moodle is free software: you can redistribute it and/or modify

// it under the terms of the GNU General Public License as published by

// the Free Software Foundation, either version 3 of the License, or

// (at your option) any later version.

//

// Moodle is distributed in the hope that it will be useful,

// but WITHOUT ANY WARRANTY; without even the implied warranty of

// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

// GNU General Public License for more details.

//

// You should have received a copy of the GNU General Public License

// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.



/**

 * @package   theme_bhs_academy

 * @copyright 2012 Mary Evans

 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later

 */

?>



  <div id="profilename">

     <ul>

     <li><a href="<?php echo $CFG->wwwroot.'/user/view.php?id='.$USER->id.'&amp;course='.$COURSE->id;?>"><?php echo $USER->firstname; ?></a></li>

     <li><a id="toggle" href="javascript:toggle5('profilebar', 'toggle');" title="show &#9660;/hide &#9650;">&#9660;</a></li>

 </div>

 </div><!-- END #headerwrap -->



<div id="profilebar-outerwrap">

    <div id="profilebar" style="display: none;">

        <div id="profilebar-innerwrap">



        <div id="pbar-pre">

        <h4><?php echo get_string('notices', 'theme_bhs_academy');?></h4>

        <div class="region-content">

               <?php

            if ($haspostitnote1) {

                echo $PAGE->theme->settings->postitnote1;

            } else {

                echo get_string('postitnotetxt', 'theme_bhs_academy');

            } ?>

        </div>

        </div>



        <div id="profilebar-center" class="profilebar-options">

            <h4><?php echo get_string('mymoodle', 'my');?></h4>

            <div id="profilebar-account" class="profilebar-options">

                <ul>

                    <a href="<?php echo $CFG->wwwroot; ?>/my"><li><img src="<?php echo $OUTPUT->pix_url('profile/courses', 'theme')?>" />&nbsp;<?php echo get_string('mycourses');?></li></a>



                    <a href="<?php echo $CFG->wwwroot; ?>/user/profile.php"><li><img src="<?php echo $OUTPUT->pix_url('profile/profile', 'theme')?>" />&nbsp;<?php echo get_string('myprofile');?></li></a>

                   

                    <a href="<?php echo $CFG->wwwroot; ?>/user/files.php"><li><img src="<?php echo $OUTPUT->pix_url('profile/myfiles', 'theme')?>" />&nbsp;<?php echo get_string('myfiles');?></li></a>

                    

                </ul>

            </div>

            <div id="profilebar-mystuff" class="profilebar-options">

                <ul>

                    <a href="<?php echo $CFG->wwwroot; ?>/calendar/view.php?view=month"><li><img src="<?php echo $OUTPUT->pix_url('profile/calendar', 'theme')?>" />&nbsp;<?php echo get_string('calendar','calendar');?></li></a>

                  

                    <?php if ($hasemailurl) { ?>

                    <a href="<?php echo $PAGE->theme->settings->emailurl;?>" target="_blank"><li><img src="<?php echo $OUTPUT->pix_url('profile/email', 'theme')?>" />&nbsp;<?php echo get_string('email','theme_bhs_academy');?></li></a>

                    <?php } ?>



                    <a href="<?php echo $CFG->wwwroot; ?>/login/logout.php"><li><img src="<?php echo $OUTPUT->pix_url('profile/logout', 'theme')?>" />&nbsp;<?php echo get_string('logout');?></li></a>

                 

                </ul>

            </div>

        </div>



        <div id="pbar-post">

        <div class="profilebar_events">

        <h4><?php echo get_string('upcomingevents','calendar');?></h4>



        <?php include ('upcoming.php');?>



    </div>



        </div>



        </div><div class="clearfix"></div>

    </div>

</div>

<div class="profilebar-clear"></div>

