<?php



defined('MOODLE_INTERNAL') || die;



if ($ADMIN->fulltree) {



    // Graphic Wrap (Background Image)

    $name = 'theme_bhs_academy/graphicwrap';

    $title=get_string('graphicwrap','theme_bhs_academy');

    $description = get_string('graphicwrapdesc', 'theme_bhs_academy');

    $setting = new admin_setting_configtext($name, $title, $description, '', PARAM_URL);

    $settings->add($setting);



    // Logo file setting

    $name = 'theme_bhs_academy/logo';

    $title = get_string('logo','theme_bhs_academy');

    $description = get_string('logodesc', 'theme_bhs_academy');

    $setting = new admin_setting_configtext($name, $title, $description, '', PARAM_URL);

    $settings->add($setting);



    // Profile Bar (Background Image)

    $name = 'theme_bhs_academy/profilebarbg';

    $title=get_string('profilebarbg','theme_bhs_academy');

    $description = get_string('profilebarbgdesc', 'theme_bhs_academy');

    $default = '';

    $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_URL);

    $settings->add($setting);



    // Menu select background colour setting

    $name = 'theme_bhs_academy/menuhovercolor';

    $title = get_string('menuhovercolor','theme_bhs_academy');

    $description = get_string('menuhovercolordesc', 'theme_bhs_academy');

    $default = '#e1393e';

    $previewconfig = NULL;

    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default, $previewconfig);

    $settings->add($setting);



    // Profilebar postit-note(1) setting...

    $name = 'theme_bhs_academy/postitnote1';

    $title = get_string('postitnote1','theme_bhs_academy');

    $description = get_string('postitnotedesc', 'theme_bhs_academy');

    $default = get_string('postitnotetxt', 'theme_bhs_academy');

    $setting = new admin_setting_confightmleditor($name, $title, $description, $default);

    $settings->add($setting);



    // Email url setting



    $name = 'theme_bhs_academy/emailurl';

    $title = get_string('emailurl','theme_bhs_academy');

    $description = get_string('emailurldesc', 'theme_bhs_academy');

    $default = '';

    $setting = new admin_setting_configtext($name, $title, $description, $default);

    $settings->add($setting);



    // Foot note setting

    $name = 'theme_bhs_academy/footnote';

    $title = get_string('footnote', 'theme_bhs_academy');

    $description = get_string('footnotedesc', 'theme_bhs_academy');

    $default = get_string('footnotetxt', 'theme_bhs_academy');

    $setting = new admin_setting_confightmleditor($name, $title, $description, $default);

    $settings->add($setting);



    // Custom CSS file

    $name = 'theme_bhs_academy/customcss';

    $title = get_string('customcss','theme_bhs_academy');

    $description = get_string('customcssdesc', 'theme_bhs_academy');

    $default = '';

    $setting = new admin_setting_configtextarea($name, $title, $description, $default);

    $settings->add($setting);

}

